# Module nom::character

source · [−]
Expand description

Character specific parsers and combinators

Functions recognizing specific characters

## Modules

complete

Character specific parsers and combinators, complete input version.

streaming

Character specific parsers and combinators, streaming version

## Functions

is_alphabetic

Tests if byte is ASCII alphabetic: A-Z, a-z

is_alphanumeric

Tests if byte is ASCII alphanumeric: A-Z, a-z, 0-9

is_digit

Tests if byte is ASCII digit: 0-9

is_hex_digit

Tests if byte is ASCII hex digit: 0-9, A-F, a-f

is_newline

Tests if byte is ASCII newline: \n

is_oct_digit

Tests if byte is ASCII octal digit: 0-7

is_space

Tests if byte is ASCII space or tab